org.apache.ignite.internal.processors.cache.distributed.dht

## Enum GridDhtPartitionState

- java.lang.Object
- - java.lang.Enum<GridDhtPartitionState>
  - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtPartitionState

All Implemented Interfaces:
  Serializable, Comparable<GridDhtPartitionState>

    public enum GridDhtPartitionState
    extends Enum<GridDhtPartitionState>

Partition states.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EVICTED` Partition has been evicted from cache.
`MOVING` Partition is being loaded from another node.
`OWNING` This node is either a primary or backup owner.
`RENTING` This node is neither primary or back up owner.

### Method Summary

Methods
`boolean` `active()`
`static GridDhtPartitionState` `fromOrdinal(int ord)`
`static GridDhtPartitionState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridDhtPartitionState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MOVING

    public static final GridDhtPartitionState MOVING

Partition is being loaded from another node.

#### OWNING

    public static final GridDhtPartitionState OWNING

This node is either a primary or backup owner.

#### RENTING

    public static final GridDhtPartitionState RENTING

This node is neither primary or back up owner.

#### EVICTED

    public static final GridDhtPartitionState EVICTED

Partition has been evicted from cache.

### Method Detail

#### values

    public static GridDhtPartitionState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridDhtPartitionState c : GridDhtPartitionState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridDhtPartitionState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridDhtPartitionState fromOrdinal(int ord)

Parameters:
  `ord` - Ordinal value.
Returns:
  Enum value.

#### active

    public boolean active()

Returns:
  `True` if state is active or owning.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015